#!/bin/sh
# $Id: import.sh,v 1.2 2006/05/06 13:16:18 lha Exp $

dir=$1

if test ! -f "$dir"/imdrover.c ; then
    echo $dir doesnt seem to contain imath
    exit 1
fi

rm *.[ch]

headers=`grep ^HDRS "$dir"/Makefile |sed 's/^HDRS=//' | sed 's/imdrover.h//'`
code=`echo $headers | sed 's/\.h/.c/g'`

for a in $headers $code LICENSE ; do
    cp "$dir"/"$a" .
done

echo  "imathsource =			\\"
for a in $headers $code ; do
    echo "	imath/$a		\\"
done | sort

